Listar preços
curl --request GET \
--url https://api.upag.io/v1/products/{productId}/prices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/products/{productId}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/products/{productId}/prices';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Preços
Listar preços
Lista os preços de um produto, do mais novo para o mais antigo
GET
https://api.upag.io
/
v1
/
products
/
{productId}
/
prices
Listar preços
curl --request GET \
--url https://api.upag.io/v1/products/{productId}/prices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/products/{productId}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/products/{productId}/prices';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
price.read (chave secreta).
Endpoint
curl -G https://api.upag.dev/v1/products/0b9c1f3e-6a4d-4c1e-9d55-3f1f6a7c2e10/prices \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "page=1" \
-d "limit=15"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
const { data, count } = await upag.prices.list('0b9c1f3e-6a4d-4c1e-9d55-3f1f6a7c2e10', {
page: 1,
limit: 15,
});
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
string (uuid)
required
ID do produto.
integer
default:"1"
Página (mínimo 1).
integer
default:"15"
Itens por página (mínimo 1).
Resposta
200 OK
Response
{
"data": [
{
"id": "5f2d7a90-3b1c-4e8a-8f6d-1c9e4b7a2d33",
"name": "Mensal",
"billingType": "recurring",
"interval": "month",
"intervalCount": 1,
"currency": "brl",
"amount": 4990,
"metadata": {},
"createdAt": "2026-03-18T11:05:00.000Z",
"updatedAt": "2026-03-18T11:05:00.000Z"
}
],
"count": 1
}
404 (PRODUCT_NOT_FOUND) se o produto não existir.